SoCacheHint(3)

NAME
SoCacheHint - The SoCacheHint class is a node containing hints about how to cache geometry.

SYNOPSIS

#include <Inventor/nodes/SoCacheHint.h>

Inherits SoNode.

  Public Member Functions
virtual SoType getTypeId (void) const
SoCacheHint (void)
virtual void doAction (SoAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void callback (SoCallbackAction *action)
virtual void getBoundingBox (SoGetBoundingBoxAction *action)
virtual void pick (SoPickAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFFloat memValue
SoSFFloat gfxValue

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoCacheHint ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoCacheHint class is a node containing hints about how to cache geometry. The SoCacheHint node is used to set up clues to the rendering subsystem about how Coin should cache vertex data.

Please note that this is an experimental class. The API might change a lot before/if it is included in any official Coin release.

FILE FORMAT/DEFAULTS:

CacheHint {
    memValue 0.5
    gfxValue 0.5
}

Constructor & Destructor Documentation

  SoCacheHint::SoCacheHint (void)
Constructor.

  SoCacheHint::~SoCacheHint () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoCacheHint::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoCacheHint::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoCacheHint::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoCacheHint::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoCacheHint::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoCacheHint::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoCacheHint::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

  void SoCacheHint::getBoundingBox (SoGetBoundingBoxAction * action) [virtual]
Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculate their bounding box also override this method to change the relevant state variables.

Reimplemented from SoNode.

  void SoCacheHint::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

Member Data Documentation

  SoSFFloat SoCacheHint::memValue
Sets the value for main memory usage. Should be a number between 0 and 1. A higher value will use more memory for caching. Default value is 0.5

  SoSFFloat SoCacheHint::gfxValue
Sets the value for gfx memory usage. Should be a number between 0 and 1. A higher value will use more memory for caching. Default value is 0.5

Author

Generated automatically by Doxygen for Coin from the source code.